# Uses of Class
com.fasterxml.jackson.annotation.JsonFormat.Features

## Uses of JsonFormat.Features in com.fasterxml.jackson.annotation

Methods in com.fasterxml.jackson.annotation that return JsonFormat.Features
Modifier and Type
Method
Description
`static JsonFormat.Features`
JsonFormat.Features.`construct(JsonFormat f)`
`static JsonFormat.Features`
JsonFormat.Features.`construct(JsonFormat.Feature[] enabled, JsonFormat.Feature[] disabled)`
`static JsonFormat.Features`
JsonFormat.Features.`empty()`
`JsonFormat.Features`
JsonFormat.Value.`getFeatures()`
Accessor for getting full set of features enabled/disabled.
`JsonFormat.Features`
JsonFormat.Features.`with(JsonFormat.Feature... features)`
`JsonFormat.Features`
JsonFormat.Features.`without(JsonFormat.Feature... features)`
`JsonFormat.Features`
JsonFormat.Features.`withOverrides(JsonFormat.Features overrides)`
Methods in com.fasterxml.jackson.annotation with parameters of type JsonFormat.Features
Modifier and Type
Method
Description
`JsonFormat.Features`
JsonFormat.Features.`withOverrides(JsonFormat.Features overrides)`
Constructors in com.fasterxml.jackson.annotation with parameters of type JsonFormat.Features
Modifier
Constructor
Description
``
`Value(String p, JsonFormat.Shape sh, String localeStr, String tzStr, JsonFormat.Features f)`
Deprecated.
``
`Value(String p, JsonFormat.Shape sh, String localeStr, String tzStr, JsonFormat.Features f, Boolean lenient)`
``
`Value(String p, JsonFormat.Shape sh, Locale l, String tzStr, TimeZone tz, JsonFormat.Features f)`
Deprecated.
``
`Value(String p, JsonFormat.Shape sh, Locale l, String tzStr, TimeZone tz, JsonFormat.Features f, Boolean lenient)`
``
`Value(String p, JsonFormat.Shape sh, Locale l, TimeZone tz, JsonFormat.Features f)`
Deprecated.
``
`Value(String p, JsonFormat.Shape sh, Locale l, TimeZone tz, JsonFormat.Features f, Boolean lenient)`